#include <iostream>
#include <cstdlib>
#include <cmath>

using namespace std;

void Sortiraj(long long int niz[], long long int brojelemenata)
{
    long long int temp;
    for (long long int i = 0; i < brojelemenata - 1; i++)
    {
        for (long long int j = i + 1; j < brojelemenata; j++)
        {
            if (niz[i] > niz[j])
            {
                temp = niz[i];
                niz[i] = niz[j];
                niz[j] = temp;
            }
        }
    }
}

int main()
{
    long long int N;
    cin >> N;
    long long int niz[N * N];
    long long int pozicije_vrsta[N];
    long long int pozicije_kolona[N];
    long long int pozicije_u_nizu_i[N];
    long long int pozicije_u_nizu_j[N];
    long long int deo_niza_i[N];
    long long int deo_niza_j[N];
    long long int brojpoteza = 0;
    for (long long int i = 0; i < N; i++)
    {
        cin >> pozicije_vrsta[i] >> pozicije_kolona[i];
        pozicije_u_nizu_i[i] = ((pozicije_vrsta[i] - 1) * N) + pozicije_kolona[i];
        pozicije_u_nizu_j[i] = ((pozicije_kolona[i] - 1) * N) + pozicije_vrsta[i];
    }
    for (long long int i = 0; i < N; i++)
    {
        if (pozicije_u_nizu_i[i] % N == 0)
        {
            deo_niza_i[i] = pozicije_u_nizu_i[i] / N;
        }
        else
        {
            deo_niza_i[i] = pozicije_u_nizu_i[i] / N + 1;
        }
    }
    Sortiraj(deo_niza_i, N);
    for (long long int i = 1; i <= N; i++)
    {
        if (deo_niza_i[i - 1] != i)
        {
            brojpoteza += abs(deo_niza_i[i - 1] - i);

        }
    }
    //
    for (long long int i = 0; i < N; i++)
    {
        if (pozicije_u_nizu_j[i] % N == 0)
        {
            deo_niza_j[i] = pozicije_u_nizu_j[i] / N;
        }
        else
        {
            deo_niza_j[i] = pozicije_u_nizu_j[i] / N + 1;
        }
    }
    Sortiraj(deo_niza_j, N);
    for (long long int i = 1; i <= N; i++)
    {
        if (deo_niza_j[i - 1] != i)
        {
            brojpoteza += abs(deo_niza_j[i - 1] - i);

        }
    }
    cout << brojpoteza;
}